tigase.auth

## Class XmppSaslException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - javax.security.sasl.SaslException
        - - tigase.auth.XmppSaslException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    SaslInvalidLoginExcepion

      public class XmppSaslException
      extends SaslException

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `XmppSaslException.SaslError`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmppSaslException(XmppSaslException.SaslError saslError)`
    `XmppSaslException(XmppSaslException.SaslError saslError, String detail)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XmppSaslException.SaslError` | `getSaslError()`
    `String` | `getSaslErrorElementName()`

    - ### Methods inherited from class javax.security.sasl.SaslException

      `getCause, initCause, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XmppSaslException

          public XmppSaslException(XmppSaslException.SaslError saslError)

    - #### XmppSaslException

          public XmppSaslException(XmppSaslException.SaslError saslError,
                                   String detail)

  - ### Method Detail

    - #### getSaslError

          public XmppSaslException.SaslError getSaslError()

    - #### getSaslErrorElementName

          public String getSaslErrorElementName()

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.